%define upstream_name    Test-WWW-Mechanize-Catalyst
%define upstream_version 0.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test::WWW::Mechanize for Catalyst
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.0
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::Dummy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP) >= 5.816.0
BuildRequires: perl(Moose) >= 0.670.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.140.0
BuildRequires: perl(Test::utf8)
BuildRequires: perl(WWW::Mechanize) >= 1.540.0
BuildRequires: perl(namespace::clean) >= 0.90.0
BuildArch:  noarch

%description
Catalyst is an elegant MVC Web Application
Framework. Test::WWW::Mechanize is a subclass of WWW::Mechanize that
incorporates features for web application testing. The
Test::WWW::Mechanize::Catalyst module meshes the two to allow easy
testing of Catalyst applications without starting up a web server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Test

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 373905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.580.0-1.mga3
+ Revision: 268121
- update to 0.58

* Tue Jun 05 2012 jquelin <jquelin> 0.570.0-1.mga3
+ Revision: 255529
- update to 0.57

* Thu Nov 03 2011 jquelin <jquelin> 0.560.0-1.mga2
+ Revision: 162309
- update to 0.56

* Thu Oct 13 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 154499
- update to 0.55
- update to 0.54

* Tue Feb 22 2011 jquelin <jquelin> 0.530.0-1.mga1
+ Revision: 56842
- update to 0.53

* Wed Jan 26 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 41286
- mageia rebuild
- imported package perl-Test-WWW-Mechanize-Catalyst

